io.vertx.groovy.ext.sql

## Class SQLConnection_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.ext.sql.SQLConnection_GroovyExtension

-     public class SQLConnection_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLConnection_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SQLConnection` | `batchCallableWithParams(SQLConnection j_receiver, String sqlStatement, List<List<Object>> inArgs, List<List<Object>> outArgs, Handler<AsyncResult<List<Integer>>> handler)`
    `static SQLConnection` | `batchWithParams(SQLConnection j_receiver, String sqlStatement, List<List<Object>> args, Handler<AsyncResult<List<Integer>>> handler)`
    `static SQLConnection` | `call(SQLConnection j_receiver, String sql, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static SQLConnection` | `callWithParams(SQLConnection j_receiver, String sql, List<Object> params, List<Object> outputs, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static SQLConnection` | `query(SQLConnection j_receiver, String sql, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static SQLConnection` | `queryStreamWithParams(SQLConnection j_receiver, String sql, List<Object> params, Handler<AsyncResult<SQLRowStream>> handler)`
    `static SQLConnection` | `queryWithParams(SQLConnection j_receiver, String sql, List<Object> params, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static SQLConnection` | `update(SQLConnection j_receiver, String sql, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static SQLConnection` | `updateWithParams(SQLConnection j_receiver, String sql, List<Object> params, Handler<AsyncResult<Map<String,Object>>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLConnection_GroovyExtension

          public SQLConnection_GroovyExtension()

  - ### Method Detail

    - #### query

          public static SQLConnection query(SQLConnection j_receiver,
                                            String sql,
                                            Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### queryWithParams

          public static SQLConnection queryWithParams(SQLConnection j_receiver,
                                                      String sql,
                                                      List<Object> params,
                                                      Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### queryStreamWithParams

          public static SQLConnection queryStreamWithParams(SQLConnection j_receiver,
                                                            String sql,
                                                            List<Object> params,
                                                            Handler<AsyncResult<SQLRowStream>> handler)

    - #### update

          public static SQLConnection update(SQLConnection j_receiver,
                                             String sql,
                                             Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### updateWithParams

          public static SQLConnection updateWithParams(SQLConnection j_receiver,
                                                       String sql,
                                                       List<Object> params,
                                                       Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### call

          public static SQLConnection call(SQLConnection j_receiver,
                                           String sql,
                                           Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### callWithParams

          public static SQLConnection callWithParams(SQLConnection j_receiver,
                                                     String sql,
                                                     List<Object> params,
                                                     List<Object> outputs,
                                                     Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### batchWithParams

          public static SQLConnection batchWithParams(SQLConnection j_receiver,
                                                      String sqlStatement,
                                                      List<List<Object>> args,
                                                      Handler<AsyncResult<List<Integer>>> handler)

    - #### batchCallableWithParams

          public static SQLConnection batchCallableWithParams(SQLConnection j_receiver,
                                                              String sqlStatement,
                                                              List<List<Object>> inArgs,
                                                              List<List<Object>> outArgs,
                                                              Handler<AsyncResult<List<Integer>>> handler)

Copyright © 2017. All rights reserved.